<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>Leitura de arquivo de texto</title>
</head>
<body>
    <textarea id="conteudo"></textarea>

    <script>
        var fileURL = "meuarquivo.txt";
        var objectTag = document.createElement("object");
        objectTag.setAttribute("data", fileURL);
        objectTag.setAttribute("type", "text/plain");
        objectTag.addEventListener("load", function() {
            var contents = objectTag.contentWindow.document.body.textContent;
            document.getElementById("conteudo").value = contents;
        });
        document.body.appendChild(objectTag);
    </script>
</body>
</html>
